KBuildServiceTypeFactory Class Reference

`#include <kbuildservicetypefactory.h>`

Inherits KServiceTypeFactory.

## Public Member Functions

| KBuildServiceTypeFactory ()
virtual KServiceType * | findServiceTypeByName (const QString &_name)
virtual KSycocaEntry * | createEntry (const QString &file, const char *resource)
virtual KServiceType * | createEntry (int)
virtual void | addEntry (KSycocaEntry *newEntry, const char *resource)
virtual void | save (QDataStream &str)
virtual void | saveHeader (QDataStream &str)

## Static Public Member Functions

static QStringList | resourceTypes ()

## Detailed Description

Service-type factory for building ksycoca.

Definition at line 30 of file kbuildservicetypefactory.h.

## Constructor & Destructor Documentation

KBuildServiceTypeFactory::KBuildServiceTypeFactory | ( |  | ) |

Create factory.

Definition at line 34 of file kbuildservicetypefactory.cpp.

## Member Function Documentation

void KBuildServiceTypeFactory::addEntry | ( | KSycocaEntry * | newEntry,
|  | const char * | resource
| ) |  |

virtual

Add entry.

Definition at line 245 of file kbuildservicetypefactory.cpp.

KSycocaEntry * KBuildServiceTypeFactory::createEntry | ( | const QString & | file,
|  | const char * | resource
| ) |  |

virtual

Construct a KServiceType from a config file.

Definition at line 69 of file kbuildservicetypefactory.cpp.

KServiceType * KBuildServiceTypeFactory::findServiceTypeByName | ( | const QString & | _name | ) |

virtual

Find a service type in the database file.

Returns
  a pointer to the servicetype in the memory dict (don't free!)

Definition at line 57 of file kbuildservicetypefactory.cpp.

QStringList KBuildServiceTypeFactory::resourceTypes | ( |  | ) |

static

Returns all resource types for this service factory.

Definition at line 47 of file kbuildservicetypefactory.cpp.

void KBuildServiceTypeFactory::save | ( | QDataStream & | str | ) |

virtual

Write out service type specific index files.

Definition at line 143 of file kbuildservicetypefactory.cpp.

void KBuildServiceTypeFactory::saveHeader | ( | QDataStream & | str | ) |

virtual

Write out header information.

Don't forget to call the parent first when you override this function.

Definition at line 127 of file kbuildservicetypefactory.cpp.

The documentation for this class was generated from the following files:

- kbuildservicetypefactory.h
- kbuildservicetypefactory.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys